// CA cell - hexagonal
// Jacob Peck
// 20101018

import java.util.ArrayList;

public class CellHex{
  public int state = 0;
  public ArrayList<CellHex> neighbors = new ArrayList<CellHex>();
  
  // constructor
  public CellHex(int state) {
    this.state = state;
  }
  
  // access state
  public int getState() {
    return state;
  }
  
  // set state
  public void setState(int state) {
    this.state = state;
  }
  
  // add neighbor cell
  public void addNeighbor(CellHex neighbor) {
    if (neighbors.size() < 6)
      neighbors.add(neighbor);
    return;
  }
  
  // get living neighbors
  public int livingNeighbors() {
    int count = 0;
    for (CellHex c : neighbors)
      if (c.getState() == 1) count++;
    return count;
  }
} // end class Cell