// CA cell - one-dimensional
// Jacob Peck
// 20101101

import java.util.ArrayList;

public class CellLinear{
  private int state = 0;
  private CellLinear leftneighbor = null;
  private CellLinear rightneighbor = null;
  private double value = 0;
  
  // constructor
  public CellLinear(int state, double value) {
    this.state = state;
    this.value = value;
  }
  
  // access state
  public int getState() {
    return state;
  }
  
  // access value
  public double getValue() {
    return value;
  }
  
  // set state
  public void setState(int state) {
    this.state = state;
  }
  
  // set value
  public void setValue(double value) {
    this.value = value;
  }
  
  // add leftneighbor cell
  public void addNeighborLeft(CellLinear neighbor) {
    leftneighbor = neighbor;
  }
  
  public void addNeighborRight(CellLinear neighbor) {
    rightneighbor = neighbor;
  }
  
  // get living neighbors
  public int livingNeighbors() {
    int count = 0;
    if (leftneighbor.getState() == 1)
      count += 1;
    if (rightneighbor.getState() == 1)
      count += 2;
    return count; // 0 = no living neighbors, 1 = left alive, 2 = right alive, 3 = both alive
  }
} // end class Cell